#ifndef LIBRARY_FONT_H

#define LIBRARY_FONT_H

#include <string>
#include <utility>

namespace vkvm {

    class FontType {
    private:
        int id;
        const char * name;
        int height;
        int width;

    public:
        FontType(int id, const char * name, int height, int width) noexcept;

        auto getId() const -> int;

        auto getName() const -> std::string;

        auto getHeight() const -> int;

        auto getWidth() const -> int;

    };

    static const FontType font_1 = FontType(1, "DummyFont", 10, 5);
}

#endif
