#ifndef LIBRARY_EVENTTYPE_HPP
#define LIBRARY_EVENTTYPE_HPP

namespace vkvm {

/**
 * types of events.
 * @since 0.1.0
 * @uthor Johannes Theiner
 */
    enum EventType {
        Timer = 1,
        MouseMove = 2,
        MouseLeftUp = 3,
        MouseLeftDown = 4,
        MouseRightUp = 5,
        MouseRightDown = 6,
        MouseMiddleDown = 7,
        MouseMiddleUp = 8,
        KeyDown = 9,
        KeyUp = 10,
        UpdateControlRegisters = 11,
        Redraw = 12,
        RenderText = 13
    };

}

#endif
